2018-11-05  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	2.40.2

2018-10-29  Chun-wei Fan  <fanchunwei@src.gnome.org>

	Update .gitignore

	The Visual Studio build files is now under MSVC_NMake, not MSVC_201x.

2018-10-26  Chun-wei Fan  <fanchunwei@src.gnome.org>

	build: Remove Visual Studio 2013 projects

	Since they have been superseded by the NMake Makefiles, it is time to
	remove them.

2018-10-26  Chun-wei Fan  <fanchunwei@src.gnome.org>

	build: Add NMake Makefiles

	This adds a set of NMake Makefiles, which will replace the Visual Studio
	2013 projects so that the Visual Studio build files are more flexible
	and easier to maintain.

	Note that since this is the C++-11 version of pangomm, for Visual Studio
	2015 and 2017, since they both link to the v140 Windows C/C++ runtime
	DLLs, the pangomm DLL and .lib are named as pangomm-vc140-1_4.[dll|lib]
	or pangomm-vc140-d-1_4.[dll|lib], since these builds can interop.

2018-10-26  Chun-wei Fan  <fanchunwei@src.gnome.org>

	build: Split out automake'isms out from filelist.am's

	This is so that the NMake Makefiles can consume them as well.

2018-10-26  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	configure.ac: Update bug report address

2018-09-07  Chun-wei Fan  <fanchunwei@src.gnome.org>

	builds: Rename MSVC_Net2013 to MSVC_NMake

	This is to prepare the transition of the Visual Studio build files
	to NMake Makeflies.

2017-09-13  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Update .gitignore

2017-09-13  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	GlyphString: Remove some functions from _IGNORE()

2017-09-13  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Add PangoCoverage to pango_extra_objects.defs

2017-09-13  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	tools/gen_scripts/: Update for pango built with meson

	When pango is built with meson instead of autotools, generated .h and .c
	files are stored in pango/build/pango. Files in that directory shall be read
	when pango_docs.xml and the .defs files are generated.

	Don't read private and internal .h files.

2017-01-04  Chun-wei Fan  <fanchunwei@src.gnome.org>

	Visual Studio builds: "Install" .pdb files

	Since we already generate the .pdb files during the build, make better use
	of them so that we could debug easier.  Also clean up the property sheet
	by removing extra blank lines.

2016-08-19  Murray Cumming  <murrayc@murrayc.com>

	2.40.1

2016-07-19  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Build: Fix silent builds

	* configure.ac: Pass yes to AM_SILENT_RULES, thus enabling silent builds.
	Replace MM_AX_CXX_COMPILE_STDCXX_11 by MM_AX_CXX_COMPILE_STDCXX (not necessary
	for silent builds).
	* docs/reference/Doxyfile.in: Set QUIET=YES.
	Update for doxygen 1.8.11 (not necessary for silent builds).
	Bug #768797

2016-04-10  Murray Cumming  <murrayc@murrayc.com>

	C++11: AttrIter, AttrList, Color: Make operator bool() explicit.

	See https://bugzilla.gnome.org/show_bug.cgi?id=626858#c4

2016-03-28  Murray Cumming  <murrayc@murrayc.com>

	2.40

2016-03-28  Murray Cumming  <murrayc@murrayc.com>

	Regenerate docs.xml files.

2016-03-28  Murray Cumming  <murrayc@murrayc.com>

	Regenerate .defs.

2016-03-28  Murray Cumming  <murrayc@murrayc.com>

	Depend on latest glibmm-2.4

	To use the latest gmmproc.

2015-11-29  Murray Cumming  <murrayc@murrayc.com>

	2.39.1

2015-11-29  Murray Cumming  <murrayc@murrayc.com>

	Depend on a recent glibmm

	To use the latest gmmproc.

2015-11-29  Murray Cumming  <murrayc@murrayc.com>

	Renderer: Add get/set_alpha().

	Wrapping pango_renderer_get/set_alpha(), which is new API
	in pango 1.38.

2015-11-29  Murray Cumming  <murrayc@murrayc.com>

	Attributes: Add create_attr_foreground/background_alpha().

	Wrapping new API in pango.

2015-11-29  Murray Cumming  <murrayc@murrayc.com>

	Regenerate docs.xml file.

2015-11-29  Murray Cumming  <murrayc@murrayc.com>

	Regenerate .defs files.

2015-10-27  Murray Cumming  <murrayc@murrayc.com>

	--enable-warnings=fatal: Use the same warnings as glibmm and gtkmm.

2015-09-23  Murray Cumming  <murrayc@murrayc.com>

	Reduce the cairomm dependency back to 1.2.2.

	Because it probably works, and this is kinder.
	Bug #755460 (Daniel Stone)

2015-09-22  Murray Cumming  <murrayc@murrayc.com>

	2.38.1

2015-09-21  Murray Cumming  <murrayc@murrayc.com>

	2.38.0

2015-09-17  Chun-wei Fan  <fanchunwei@src.gnome.org>

	Update .gitignore for MSVC-specific Items

2015-09-10  Chun-wei Fan  <fanchunwei@src.gnome.org>

	MSVC Builds: Improve Build Speed and Debugging Experience

	Use multiprocessor compilation, which can cut down build times by quite a
	bit, and use /d2Zi+ to put more useful info into the .pdb's in release
	builds.

2015-09-10  Chun-wei Fan  <fanchunwei@src.gnome.org>

	MSVC Builds: Support only Visual Studio 2013 (and later)

	The current pangomm code base now requires C++-11 support, which is only
	supported well enough by Visual Studio 2013 and later, so:

	-Update the Visaul Studio 2010 projects to be in 2013 format, and rename
	things as needed.
	-Remove the Visual Studio 2005/2008 projects
	-Update the README.win32 file to reflect on these changes.

2015-09-03  Murray Cumming  <murrayc@murrayc.com>

	2.37.2

2015-08-22  Murray Cumming  <murrayc@murrayc.com>

	configure.ac: Require the latest glibmm.

	To use the latest gmmproc, which generates more move operations,
	and to have the latest Glib::Object/ObjectBase/Interface which have
	move operations that those generated move operations call.

2015-08-22  Murray Cumming  <murrayc@murrayc.com>

	C++11: Mark all _CLASS_OPAQUE_REFCOUNTED classes as final.

	Because _CLASS_OPAQUE_REFCOUNTED already generates a comment
	telling us not to derive from them, presumably because they can
	only be instantiated by reinterpret_cast<>ing a base C struct.

	Ideally, _CLASS_OPAQUE_REFCOUNTED would add the final keyword,
	but the class line is is not generated, so that would be a little
	difficult.

2015-07-15  Murray Cumming  <murrayc@murrayc.com>

	2.37.1

2015-07-15  Murray Cumming  <murrayc@murrayc.com>

	Regenerate pango_docs.xml

2015-07-15  Murray Cumming  <murrayc@murrayc.com>

	Regenerate pango_methods.defs.

2015-07-15  Murray Cumming  <murrayc@murrayc.com>

	Regenerate pango_enums.defs

2015-07-15  Murray Cumming  <murrayc@murrayc.com>

	Require the latest glibmm.

	For the latest gmmproc.

2015-07-15  Murray Cumming  <murrayc@murrayc.com>

	configure.ac: Use MM_AX_CXX_COMPILE_STDCXX_11() from mm-common.

	Instead of a copy of AX_CXX_COMPILE_STDCXX_11().

2015-07-11  Murray Cumming  <murrayc@murrayc.com>

	Require C++11.

	configure.ac: Use AX_CXX_COMPILE_STDCXX_11 to check for compiler
	support for C++11 and use it (--std=c++11 for current versions of
	g++).

	Among other reasons, this is because glibmm now requires C++11,
	and its gmmrpoc generates C++11 code.

2015-06-30  Maks Naumov  <maksqwe1@ukr.net>

	Attribute: fix operator!=

	Bug #751531

2015-03-24  Murray Cumming  <murrayc@murrayc.com>

	2.36.0

2015-02-04  Murray Cumming  <murrayc@murrayc.com>

	1.35.1

2015-02-04  Murray Cumming  <murrayc@murrayc.com>

	FontMap: Added get_serial().

2015-02-04  Murray Cumming  <murrayc@murrayc.com>

	Context: Add get_serial().

2015-02-04  Murray Cumming  <murrayc@murrayc.com>

	Layout: Add get_character_count() and get_serial().

2015-02-04  Murray Cumming  <murrayc@murrayc.com>

	Doxyfile: Make this more like the latest Doxyfile.in in gtkmm.

	Just to make sure that we are consistent.

2015-02-04  Murray Cumming  <murrayc@murrayc.com>

	Doxyfile: Remove obsolete (according to doxygen warnings) lines.

2015-02-04  Murray Cumming  <murrayc@murrayc.com>

	Regenerate _docs.xml file.

2015-02-04  Murray Cumming  <murrayc@murrayc.com>

	Regenerate methods .defs file.

2015-02-04  Murray Cumming  <murrayc@murrayc.com>

	Regenerate enums .defs file.

2015-02-04  Murray Cumming  <murrayc@murrayc.com>

	tools/: Add gen_scripts/, as in glibmm and gtkmm.

	This makes it easier to regenerate the .defs and _docs.xml files.

2014-09-22  Chun-wei Fan  <fanchunwei@src.gnome.org>

	MSVC 2008/2010 Projects: Add "Install" Projects

	This adds "install" projects for Visual Studio 2008/2010 builds so that the
	build results can be copied to a common directory together with the
	dependencies, so that testing and packaging will be made easier.

	* MSVC_Net2008/pangomm-install.vsprops:
	* MSVC_Net2008/install.vcproj:
	* MSVC_Net2010/pangomm-install.props:
	* MSVC_Net2010/install.vcxproj: Add MSVC projects and property sheets to
	copy build results to a common directory under the root build directory.
	* MSVC_Net2008/pangomm.sln:
	* MSVC_Net2010/pangomm.sln: Include the "install" project in the build
	process.
	* MSVC_Net2008/filelist.am:
	* MSVC_Net2010/filelist.am: Include the added projects and property sheets
	in dist.

2014-09-18  Chun-wei Fan  <fanchunwei@src.gnome.org>

	Overhaul The Visual Studio 2010 Projects

	Give the Visual Studio 2010 Projects an overhaul, by using property sheets
	to consolidate commonly-used items, and moving all the projects to
	MSVC_Net2010.  Also stop using the /vd2 compile-time option, as it is more
	harm than help here, since it causes weird crashes.

	* MSVC_Net2010/pangomm-build-defines.props:
	* MSVC_Net2010/pangomm-version-paths.props: Add property sheet
	sheets to consolidate commonly-used items items so that projects
	can refer to them, which will help to simplify future
	maintenance.
	* MSVC_Net2010/gendef/gendef.vcxproj:
	* MSVC_Net2010/gendef/gendef.vcxproj.filters:
	* MSVC_Net2010/gendef/pangomm.vcxproj:
	* MSVC_Net2010/gendef/pangomm.vcxproj.filters: Move to
	MSVC_Net2010/, and clean up using the property sheets.  Adjust
	the source file paths accordingly, and remove the /vd2 compile-
	time option as it brings more trouble than help.  Add
	PlatformToolset tags so to ease future move to Visual Studio
	2012/2013.
	* MSVC_Net2010/filelist.am:
	* MSVC_Net2010/pangomm.sln: Update file paths accordingly.

2014-09-17  Chun-wei Fan  <fanchunwei@src.gnome.org>

	Overhaul the Visual Studio 2008 Projects

	Give the Visual Studio 2008 Projects an overhaul, and clean them up in the
	process by consolidating commonly-used items in property sheets, so to ease
	future maintenance.

	* MSVC_Net2008/pangomm-build-defines.vsprops:
	* MSVC_Net2008/pangomm-version-paths.vsprops: Add property sheets
	to group together commonly-used items so that the projects can
	refer to them, so to ease future maintenance.
	* MSVC_Net2008/pangomm/pangomm.vcproj:
	* MSVC_Net2008/gendef/gendef.vcproj: Move to MSVC_Net2008/ and
	clean up using the property sheets, and update the file paths
	accordingly.  Stop building blank.cpp, as the IDE recognize the
	.cc sources, and stop using the /vd2 option, as it is a source
	of weird crashes.
	* MSVC_Net2008/pangomm.sln:
	MSVC_Net2008/filelist.am: Update file paths accordingly.

2014-08-01  Andre Klapper  <a9016009@gmx.de>

	doap: add <programming-language>

2014-07-30  Olav Vitters  <olav@vitters.nl>

	doap category core

2013-09-09  Chun-wei Fan  <fanchunwei@src.gnome.org>

	Update the MSVC Project Files

	* MSVC_Net2005/gendef/gendef.vcproj:
	MSVC_Net2008/gendef/gendef.vcproj:
	MSVC_Net2010/gendef/gendef.vcxproj:
	MSVC_Net2005/pangomm/pangomm.vcproj:
	MSVC_Net2008/pangomm/pangomm.vcproj:
	MSVC_Net2010/pangomm/pangomm.vcxproj: Clean up the project files by
	purging unneeded entries, macros and whitespace.

	Also improve on the project files by adding to the
	AdditionalIncludeDirectories and AdditionalLibraryDirectories so that
	they can find and use the deps from a local build directory instead
	of using builds in the global include and libs path.  This is useful when
	we are building an unstable release as unstable releases usually require
	the latest unstable releases of their respective deps, which we do not
	usually want to place where they are used globally.

2013-09-09  Chun-wei Fan  <fanchunwei@src.gnome.org>

	MSVC Solution Files: Use DOS Line Endings

	* MSVC_Net2010/pangomm.sln: Use DOS/Windows line endings as Visual
	Studio expects .sln files to have DOS/Windows line endings in order to
	determine the Visual Studio version to use to open the .sln files.

2013-07-03  José Alburquerque  <jaalburquerque@gmail.com>

	Move to a generated ChangeLog.

2013-07-02  José Alburquerque  <jaalburquerque@gmail.com>

	Auto-generate the ChangeLog from the git log for 'make dist'.

	* Makefile.am: Include the dist-changelog.am file copied in build/
	from mm-common so that the ChangeLog is automatically generated from
	the git commit messages on 'make dist'.

2013-04-24  Murray Cumming  <murrayc@murrayc.com>

	2.34.0

2012-10-26  José Alburquerque  <jaalburqu@svn.gnome.org>

	Remove the use of g_type_init() because it has been deprecated.

	* tools/extra_defs_gen/generate_defs_pango.cc: The docs for the
	function says that the GType system is initialized automatically now
	as of glib-2.36.

2011-10-26  Murray Cumming  <murrayc@murrayc.com>

	2.28.4

2011-10-25  Murray Cumming  <murrayc@murrayc.com>

	Add #includes needed with the latest glibmm.

	* pango/src/attributes.ccg:
	* pango/src/attributes.hg:
	* pango/src/color.hg:
	* pango/src/fontdescription.hg:
	* pango/src/fontface.hg:
	* pango/src/fontmetrics.hg:
	* pango/src/fontset.ccg:
	* pango/src/item.hg:
	* pango/src/language.hg:
	* pango/src/layoutline.hg: Add individual includes now that gmmproc does not
	add #include glibmm.h at the top of every generated header.

2011-09-27  Murray Cumming  <murrayc@murrayc.com>

	2.28.3

2011-09-22  Krzesimir Nowak  <qdlacz@gmail.com>

	Don't use obsolete macros.

	* autogen.sh: Warn about everything during autoreconf.
	* configure.ac: Replaced obsolete macros with their modern counterparts.

2011-08-31  Frédéric Péters  <fpeters@0d.be>

	ship convert_pangomm.m4 in tarballs

	https://bugzilla.gnome.org/show_bug.cgi?id=657817

2011-05-24  Olav Vitters  <olav@vitters.nl>

	Use tar-ustar instead of tar-pax to ensure OpenBSD compatibility

2011-03-30  Murray Cumming  <murrayc@murrayc.com>

	2.28.2

2011-03-30  Murray Cumming  <murrayc@murrayc.com>

	Use the latest mm-common.

	* configure.ac: Require the latest version.
	* doc/Makefile.am: Don't specify the mm-common .pl files to distribute
	because mm-common now does this automatically.

2011-03-26  Kalev Lember  <kalev@smartlink.ee>

	Install the m4 files without --enable-maintainer-mode

	* Makefile.am: Install the convert.m4 files even if we aren't in
	maintainer mode; this makes sure distro packages pick up the files.

2011-03-25  Murray Cumming  <murrayc@murrayc.com>

	2.28.1

2011-03-25  Murray Cumming  <murrayc@murrayc.com>

	Avoid a tarball dependency on mm-common.

	* configure.ac: Add a call to MM_CONFIG_DOCTOOL_DIR() telling it to
	copy the files locally and use them from there.
	* docs/Makefile.am: Dist the copied files, so that the build does not
	try to use the versions installed by mm-common.

2011-03-23  Murray Cumming  <murrayc@murrayc.com>

	2.28.0

2011-01-08  Murray Cumming  <murrayc@murrayc.com>

	2.27.1

2011-01-08  Murray Cumming  <murrayc@murrayc.com>

	Added missing file

2011-01-08  Murray Cumming  <murrayc@murrayc.com>

	LayoutIter: Wrap this as a boxed type, which needs less code.

	* pango/src/layoutiter.[hg|ccg]: PangoLayoutIter became a boxed type at some
	point, with a pango_layout_iter_copy() function, so we can now wrap it
	normally without so much hand-coding. This also adds a copy constructor.
	* pango/src/layout.ccg: get_iter(): Use the LayoutIter copy constructor
	instead of the crappy old assign_gobj() function. Also deprecate this
	method, adding a get_iter(void), now that the copy constructor allows us to
	use LayoutIter as a return type.

2011-01-08  Murray Cumming  <murrayc@murrayc.com>

	Improve the generated API documentation.

	* pango/src/pango_methods.defs: Regenerated with h2defs.py
	* pango/src/pango_extra_objects.defs: Added some object definitions to help
	the documentation generator, avoiding warnings about not being able to
	transform C function names into C++ function names. I did the same thing in
	gtkmm a few months ago.
	* pango/src/filelist.am: Mention the new files.
	* pango/src/pango.defs: Include the new file.

2011-01-08  Murray Cumming  <murrayc@murrayc.com>

	Added conversions used by gtkmm.

	* tools/m4/convert_pango.m4: Added the extra conversions that were in the
	gtkmm copy of this file. They will probably be needed by other modules so
	it makes sense to keep them to here to avoid duplication.

2011-01-07  Murray Cumming  <murrayc@murrayc.com>

	Allow other modules to use the m4 files.

	* codegen/Makefile.am: Install the m4 files, like gtkmm installs its files.
	* pango/pangomm.pc.in: Add the gmmproc4mdir variable so that other modules such
	as gtkmm and cluttermm can get the path to the m4 file, to avoid
	duplicating its contents.

2011-01-07  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with --enable-warnings=fatal.

	* configure.ac: Add no-long-long to avoid a warning caused by a newer glib.
	Also avoid use of deprecated GLIBMM API and make sure that GSEAL is defined.

2010-12-09  Murray Cumming  <murrayc@murrayc.com>

	Include convert_glibmm.m4 instead of convert_gtkmm.m4.

	* tools/m4/convert.m4: Inlcude convert_glibmm.m4, just added to glibmm,
	instead of convert_gtkmm.m4, which glibmm no longer provides.
	Also include convert_pangomm.m4 - we probably used the copy in glibmm until
	now.

2010-10-01  Armin Burgmeier  <armin@arbur.net>

	Add support for MSVC 2010 and 64 bit to MSVC project files

2010-09-30  Armin Burgmeier  <armin@arbur.net>

	* MSVC_Net2005/gendef/gendef.vcproj:
	* MSVC_Net2005/pangomm.sln:
	* MSVC_Net2005/pangomm/pangomm.vcproj:
	* MSVC_Net2008/gendef/gendef.vcproj:
	* MSVC_Net2008/pangomm.sln:
	* MSVC_Net2008/pangomm/pangomm.vcproj:
	* MSVC_Net2010/filelist.am:
	* MSVC_Net2010/gendef/gendef.cc:
	* MSVC_Net2010/gendef/gendef.vcxproj:
	* MSVC_Net2010/gendef/gendef.vcxproj.filters:
	* MSVC_Net2010/pangomm.sln:
	* MSVC_Net2010/pangomm/pangomm.rc.in:
	* MSVC_Net2010/pangomm/pangomm.vcxproj:
	* MSVC_Net2010/pangomm/pangomm.vcxproj.filters:
	* Makefile.am:
	* configure.ac: Add support for MSVC 2010 and 64 bit.

2010-06-06  Murray Cumming  <murrayc@murrayc.com>

	Remove unused file.

2010-05-04  Murray Cumming  <murrayc@murrayc.com>

	2.26.2

2010-05-04  Murray Cumming  <murrayc@murrayc.com>

	Documentation: Main page: Improve, linking to class and correcting pkg-config

	* pango/pangomm.h: Simplify the text, improving the link, and link to
	Pango::Layout as a starting point. Correct the pkg-config check from pangomm
	to pangomm-1.4.

2010-04-27  David King  <davidk@openismus.com>

	Update link formatting in main page of documentation

	* pango/pangomm.h: Add link text to Pango link.

2010-04-23  David King  <davidk@openismus.com>

	Add main page to Doxygen documentation

	* docs/Makefile.am: Parse pango/pangomm.h for documentation.
	* pango/pangomm.h: Add main page to Doxygen documentation.

2010-04-18  Olav Vitters  <olav@vitters.nl>

	Fix doap file

2010-04-16  Murray Cumming  <murrayc@murrayc.com>

	2.26.1

2010-04-16  Murray Cumming  <murrayc@murrayc.com>

	Regenerated C documentation XML.

	* pango/src/pango_docs.xml: Regenerated with the improved docextract_to_xml.py.

2010-03-17  Murray Cumming  <murrayc@murrayc.com>

	Regenerated pango function .defs.

	* pango/src/pango_methods.defs: Regnerated with h2defs.py thought there is
	no significant change.

2009-09-21  Murray Cumming  <murrayc@murrayc.com>

	2.26.0

2009-09-19  Daniel Elstner  <daniel.kitta@gmail.com>

	Support Automake silent rules

	* configure.ac: Call the AM_SILENT_RULES macro if it is defined.
	(AM_INIT_AUTOMAKE): Add check-news option.
	(MM_INIT_MODULE): Move block below Automake initialization.

2009-09-07  Daniel Elstner  <danielk@openismus.com>

	Update Doxygen configuration for Doxygen 1.6.1

	* docs/reference/Doxyfile.in: Update file using Doxygen 1.6.1.
	(SORT_MEMBERS_CTORS_1ST): Set option to YES.

2009-09-07  Daniel Elstner  <danielk@openismus.com>

	Delete obsolete MAINTAINERS file

2009-08-28  Daniel Elstner  <danielk@openismus.com>

	Increment version to 2.25.1.3 and update news

	* configure.ac (AC_INIT): Bump version to pangomm 2.25.1.3.
	* NEWS: Write news entry for pangomm 2.25.1.3.

2009-08-28  Daniel Elstner  <danielk@openismus.com>

	Fix documentation location in pkg-config files

	* pango/pangomm{,-uninstalled}.pc.in (htmlrefpub): Point to
	library.gnome.org.

2009-08-28  Daniel Elstner  <danielk@openismus.com>

	Increment version to 2.25.1.2 and update news

	* configure.ac (AC_INIT): Bump version to pangomm 2.25.1.2.
	* NEWS: Write news entry for pangomm 2.25.1.2.

2009-08-28  Daniel Elstner  <danielk@openismus.com>

	Remove documentation location override

	* docs/Makefile.am (htmlrefpub): Remove variable override as
	the documentation is now hosted on library.gnome.org.  D'oh.

2009-08-28  Daniel Elstner  <danielk@openismus.com>

	Increment version to 2.25.1.1 and update news

	* configure.ac (AC_INIT): Bump version to pangomm 2.25.1.1.
	(MM_PREREQ): Require mm-common 0.7.1.
	* NEWS: Write news entry for pangomm 2.25.1.1.

2009-08-28  Daniel Elstner  <danielk@openismus.com>

	Use shared mm-common Doxygen style sheet

	* configure.ac (MM_PREREQ): Require mm-common 0.7.
	* docs/reference/Doxyfile.in (HTML_STYLESHEET): Assign path
	to the shared doxygen.css provided by mm-common.

2009-08-28  Daniel Elstner  <danielk@openismus.com>

	Remove header and footer HTML fragments

	* docs/reference/pangomm_{header,footer}.html_fragment: Delete
	files.  These custom fragments were an unnecessary maintenance
	hassle.  Also, the files were out of date with respect to the
	encoding and CSS classes used by Doxygen.
	* docs/reference/Doxyfile.in (HTML_HEADER), (HTML_FOOTER): Set
	to the empty string.
	(PROJECT_NUMBER): Substitute @PACKAGE_VERSION@.  It does look
	nicer in the generated HTML pages, and is probably also less
	confusing.
	(SORT_GROUP_NAMES): Enable for predictability.
	* docs/Makefile.am (dist_noinst_DATA): Remove deleted HTML
	fragment files.

2009-08-26  Daniel Elstner  <danielk@openismus.com>

	Reenable hierarchy graphs for each class

	* docs/reference/Doxyfile.in (COLLABORATION_GRAPH): Set option
	to YES to enable the per-class inheritance graphs.

2009-08-26  Murray Cumming  <murrayc@murrayc.com>

	2.25.1

2009-08-25  Murray Cumming  <murrayc@murrayc.com>

	Regenerated .defs files.

	* pango/src/pango_docs.xml:
	* pango/src/pango_methods.defs: Regenerated.

2009-08-20  Daniel Elstner  <danielk@openismus.com>

	Rename @since back to @newin

	* docs/reference/Doxyfile.in (ALIASES): Rename the @since alias
	back to its old name @newin, but otherwise keep the parameters.
	Apparently there is a @since command predefined in Doxygen which
	I hadn't noticed.  It does seem to get overridden silently, but
	it is better not to rely on this.
	* pango/src/{language,layout}.hg: Replace all uses of @since with
	@newin.

2009-08-20  Daniel Elstner  <danielk@openismus.com>

	Remove bogus backslash in Doxygen configuration

	* docs/reference/Doxyfile.in (STRIP_FROM_PATH): Remove bogus
	trailing \ after the the last assigned value.  This probably
	caused the following assignment to STRIP_FROM_INC_PATH to be
	eaten.

2009-08-20  Daniel Elstner  <danielk@openismus.com>

	Substitute API version in filenames dynamically

	* pango/pangomm.pc.in: Rename file from pango/pangomm-1.4.pc.in.
	* pango/pangomm-uninstalled.pc.in: Rename file from
	pango/pangomm-1.4-uninstalled.pc.in.
	* configure.ac (AC_CONFIG_FILES): Insert ${PANGOMM_MODULE_NAME}
	into output filenames and remove the hard-coded version from the
	input filenames.
	* pango/pangomm/Makefile.am (lib_LTLIBRARIES): Substitute
	@PANGOMM_API_VERSION@ into the libtool archive name as well as
	the variable names derived from it instead of hard-coding the
	API version.

2009-08-20  Daniel Elstner  <danielk@openismus.com>

	Do not hard-code API version in resource files

	* MSVC_Net200[58]/pangomm/pangomm.rc.in: Use newer @PACKAGE_VERSION@
	substitution in place of @VERSION@.  Use "@PANGOMM_MODULE_NAME@.dll"
	instead of hardcoding the API version.

2009-08-19  Daniel Elstner  <daniel.kitta@gmail.com>

	Reference external cairomm documentation

	* configure.ac (MM_ARG_WITH_TAGFILE_DOC): Specify cairomm-1.0.tag
	as Doxygen tag file dependency for links to the external reference
	documentation of cairomm.

2009-08-18  Daniel Elstner  <danielk@openismus.com>

	Use parametric Doxygen alias @since{m,n}

	* docs/reference/Doxyfile.in (ALIASES): Define a parametrized alias
	@since{major,minor} to replace the old @newin?p?* aliases which had
	to be defined manually for every version number used.
	* pango/src/*.hg: Change all uses of @newin?p?* to @since{m,n}.

2009-08-17  Daniel Elstner  <danielk@openismus.com>

	Define PANGOMM_BUILD macro during build

	* pango/pangomm/Makefile.am (local_cppflags): Add -DPANGOMM_BUILD=1.

2009-08-17  Daniel Elstner  <danielk@openismus.com>

	Make use of new MM_ARG_DISABLE_DEPRECATED macro

	* configure.ac (PANGOMM_DISABLE_DEPRECATED): Call the new
	MM_ARG_DISABLE_DEPRECATED_API macro from mm-common in order
	to provide the option to omit deprecated API from the library
	build, and to define the corresponding configuration macro.
	* pango/pangommconfig.h.in (PANGOMM_DISABLE_DEPRECATED): Copy
	the #undef statement from the generated config.h.in template.

2009-08-17  Daniel Elstner  <danielk@openismus.com>

	Append slash to overridden $(htmlrefpub)

	* docs/Makefile.am (htmlrefpub): Append trailing slash for
	consistency with the non-overridden value.

2009-08-17  Daniel Elstner  <daniel.kitta@gmail.com>

	Reenable JAVADOC_AUTOBRIEF mode of Doxygen

	* docs/reference/Doxyfile.in (JAVADOC_AUTOBRIEF): Change value
	back to 'YES'.  I accidentally turned off the setting during the
	build infrastructure transition.

2009-08-16  Daniel Elstner  <daniel.kitta@gmail.com>

	Include glibmmconfig.h from pangommconfig.h

	* pango/pangommconfig.h.in: Include glibmmconfig.h for
	consistency with gtkmm.  Also define an include guard.

2009-08-16  Daniel Elstner  <daniel.kitta@gmail.com>

	List PANGOMM_* macros in pangommconfig.h.in

	* pango/pangommconfig.h.in (PANGOMM_*_VERSION): Add #undef
	statements for the version number component macros.

2009-08-16  Daniel Elstner  <daniel.kitta@gmail.com>

	Add pkg-config file for uninstalled use

	* pango/pangomm-1.4-uninstalled.pc.in: New pkg-config metadata
	file for building against a non-installed pangomm library.
	* configure.ac (AC_CONFIG_FILES): Add configure output file
	pango/pangomm-1.4-uninstalled.pc.

2009-08-16  Daniel Elstner  <daniel.kitta@gmail.com>

	Make use of latest mm-common features

	* configure.ac: Insert MM_PREREQ([0.4]) macro call.
	(MM_INIT_MODULE): Remove now optional second argument.
	* pango/pangomm-1.4.pc.in (htmlrefpub): Append trailing slash
	as per new mm-common guidelines.

2009-08-16  Daniel Elstner  <daniel.kitta@gmail.com>

	Get rid of GLIBMM_USING_STD()

	* pango/src/tabarray.hg: Stop using GLIBMM_USING_STD(), now
	that it has been removed from glibmm.

2009-08-12  Daniel Elstner  <danielk@openismus.com>

	Delete empty pango/README file

2009-08-12  Daniel Elstner  <danielk@openismus.com>

	Really do delete pango/Makefile.am

2009-08-12  Daniel Elstner  <danielk@openismus.com>

	Install pangomm.h and pangomm-1.4.pc again

	* Makefile.am (pangomm_include_HEADERS): Install pango/pangomm.h.
	(nodist_pangomm_libinclude_HEADERS): Install pango/pangommconfig.h.
	(nodist_pkgconfig_DATA): Install pango/pangomm-1.4.pc.
	* pango/Makefile.am: Delete already unused file.

2009-08-11  Daniel Elstner  <danielk@openismus.com>

	Provide documentation location via pkg-config

	* pango/pangomm-1.4.pc.in (datadir), (datarootdir): Substitute.
	(docdir), (doxytagfile), (htmlrefdir), (htmlrefpub): Point to the
	location of the reference documentation.

2009-08-11  Daniel Elstner  <danielk@openismus.com>

	Wrap pango_font_map_create_context()

	* pango/src/fontmap.hg (FontMap::create_context): Wrap new
	pango_font_map_create_context() method.
	* pango/src/cairofontmap.{ccg,hg} (CairoFontMap::create_context):
	Wrap method manually in terms of pango_font_map_create_context(),
	so that it longer uses deprecated API.  The wrapper method should
	be removed altogether when we can break API and ABI.

2009-08-11  Daniel Elstner  <danielk@openismus.com>

	Fix typo in tools/m4/convert_pango.m4

2009-08-11  Daniel Elstner  <danielk@openismus.com>

	Regenerate pango/src/pango_methods.defs

2009-08-11  Daniel Elstner  <danielk@openismus.com>

	Generate more complete extra defs

	* tools/extra_defs_gen/generate_defs_pango.cc (main): Query the
	defs for all not backend-specific GObject classes in Pango, just
	in case.

2009-08-11  Daniel Elstner  <danielk@openismus.com>

	Rename scripts/ subdirectory to build/

	* configure.ac (AC_CONFIG_AUX_DIR): Point to build/ directory.
	(AC_CONFIG_MACRO_DIR): ditto.
	* Makefile.am (ACLOCAL_AMFLAGS): Use -I build as M4 include path.
	* docs/Makefile.am, pango/{src,pangomm}/Makefile.am: Include files
	from $(top_srcdir)/build/ instead of $(top_srcdir)/scripts/.

2009-08-11  Daniel Elstner  <danielk@openismus.com>

	Delete obsolete Autoconf M4 files from scripts/

	* scripts/*.m4: Delete all Autoconf M4 files from version control.
	* scripts/README: Delete superfluous file.
	* Makefile.am (text_files): Remove scripts/README.
	(msvc_files): Use $(addprefix ...) for readability.

2009-08-11  Daniel Elstner  <danielk@openismus.com>

	Transition to mm-common documentation build

	* configure.ac (AC_CONFIG_FILES): List docs/Makefile.am and
	docs/reference/Doxyfile as output files.
	* Makefile.am (SUBDIRS): Resurrect docs/ subdirectory.
	* docs/Makefile.am: Rewrite based upon the new mm-common build
	infrastructure for the reference documentation.
	* docs/reference/Doxyfile.in: Heavily modernize and adapt to the
	new documentation build organization.
	* docs/Makefile_web.am_fragment: Delete obsolete file.
	* docs/images/Makefile.am: ditto,
	* docs/reference/Makefile.am: ditto,
	* docs/reference/doxygen_to_devhelp.xsl: ditto,
	* docs/reference/README: ditto.
	* docs/reference/widget_hierarchy.{dia,html,png}: Delete files as
	they belong to the documentation of the gtkmm module, not pangomm.

2009-08-11  Daniel Elstner  <danielk@openismus.com>

	Further reduce pointless make recursion

	* scripts/Makefile.am: Delete file.
	* MSVC_Net200[58]/**/Makefile.am: Delete files.
	* MSVC_Net200[58]/filelist.am: New files, defining the files to
	distribute from the MSVC subdirectories.
	* Makefile.am: Include MSVC_Net200[58]/filelist.am and distribute
	the files listed there.
	(SUBDIRS): Remove scripts/ and MSVC_Net200[58]/.  Temporarily
	remove docs/ subdirectory.
	* configure.ac: Use mm-common Autoconf macros for setting up the
	documentation build.
	(AC_CONFIG_FILES): Remove deleted Makefiles from the list.
	(AC_CONFIG_COMMANDS): Append commands to config.status to copy the
	pangommconfig.h configuration header into the MSVC subdirectories.

2009-08-11  Daniel Elstner  <danielk@openismus.com>

	Convert tools/ and pango/ to new infrastructure

	* Makefile.am (SUBDIRS): Skip the pango/ subdirectory and recurse
	directly into pango/src/ and pango/pangomm/.
	(EXTRA_DIST): Remove the old build_shared/ include files.
	* configure.ac (AC_CONFIG_FILES): Remove files pango/Makefile.am,
	pango/pangomm/private/Makefile.am and tools/m4/Makefile.am from
	the list of output files.
	* pango/src/filelist.am: Rename Makefile_list_of_hg.am_fragment
	and adapt to new mm-common Automake include files.
	* pango/pangomm/filelist.am: New file, defining the list of source
	code files to compile.
	* pango/pangomm/private/Makefile.am: Delete obsolete file.
	* pango/src/Makefile.am: Rewrite to use new mm-common build
	infrastructure.
	* pango/pangomm/Makefile.am: ditto,
	* tools/Makefile.am: ditto.
	* tools/m4/filelist.am: Rename Makefile_list_of_sources.am_fragment
	and adapt to new mm-common Automake include files.
	* tools/m4/Makefile.am: Delete obsolete file.
	* build_shared/*.am_fragment: Delete obsolete build support files.

2009-08-11  Daniel Elstner  <danielk@openismus.com>

	Create .gitignore files

2009-08-11  Daniel Elstner  <danielk@openismus.com>

	Begin transition to mm-common build system

	* autogen.sh: Replace with minimal version using mm-common-prepare
	and autoreconf.
	* configure.ac: Rename file from configure.in.  Remove a lot of old
	cruft and clean up the remaining bits.  Make use of mm-common macros.
	Insert temporary dummy conditionals to keep the module buildable.
	* config.h.in: Delete file, as it is now generated by autoheader.
	* Makefile.am (ACLOCAL_AMFLAGS): Set to help autoreconf do its work.
	* MSVC_Net200[58]/pangomm/Makefile.am: Change rule dependency
	configure.in to configure.ac.

2009-06-24  Daniel Elstner  <danielk@openismus.com>

	Add DOAP file and fix mail address in MAINTAINERS

2009-03-09  Theppitak Karoonboonyanan  <thep@linux.thai.net>

	Split out devhelp installation rule, so VPATH reference is possible for

2009-03-09  Theppitak Karoonboonyanan  <thep@linux.thai.net>

	* docs/reference/Makefile.am: Split out devhelp installation rule, so
	VPATH reference is possible for both tarball and VCS builds, fixing
	distcheck correctly.

	svn path=/trunk/; revision=35

2009-03-09  Murray Cumming  <murrayc@murrayc.com>

	2.24.0:

2009-03-09  Murray Cumming  <murrayc@murrayc.com>

	* docs/reference/Makefile.am: Added srcdir before the devhelp file, to 
	fix distcheck.

	svn path=/trunk/; revision=34

2009-03-09  Murray Cumming  <murrayc@murrayc.com>

	Regenerated with doxextract_to_xml.py.

2009-03-09  Murray Cumming  <murrayc@murrayc.com>

	* pango/src/pango_docs.xml: Regenerated with doxextract_to_xml.py.

	svn path=/trunk/; revision=33

2009-02-05  Theppitak Karoonboonyanan  <thep@linux.thai.net>

	Allow pangomm to build outside the source tree. Bug #570322

2009-02-05  Theppitak Karoonboonyanan  <thep@linux.thai.net>

	* docs/reference/Doxyfile.in:
	* docs/reference/Makefile.am: Allow pangomm to build outside the source 
	tree. Bug #570322

	svn path=/trunk/; revision=32

2009-01-19  Deng Xiyue  <manphiz@gmail.com>

	Change license header to mention Lesser General Public License version 2.1

2009-01-20  Deng Xiyue  <manphiz@gmail.com>

	* Change license header to mention Lesser General Public License
	version 2.1 instead of Library General Public License, to be
	consistent with COPYING.

	svn path=/trunk/; revision=31

2008-11-13  Murray Cumming  <murrayc@murrayc.com>

	Add some more newin2p* aliases. Mark show_in_cairo_context as since 2.16.

2008-11-13  Murray Cumming  <murrayc@murrayc.com>

	* docs/reference/Doxyfile.in: Add some more newin2p* aliases.
	* pango/src/layout.hg: Mark show_in_cairo_context as since 2.16.

	svn path=/trunk/; revision=30

2008-11-13  Louis-Francis Ratté-Boulianne  <louisfrancis.rb@gmail.com>

	Added show_in_cairo_context(). Bug #560232,

	2008-11-12  Louis-Francis Ratté-Boulianne <louisfrancis.rb@gmail.com>

	* pango/src/layout.cgg:
	* pango/src/layout.hg: Added show_in_cairo_context().
	Bug #560232,

	svn path=/trunk/; revision=29

2008-11-10  Murray Cumming  <murrayc@src.gnome.org>

	Increased version

	svn path=/trunk/; revision=27

2008-11-10  Deng Xiyue  <manphiz@gmail.com>

	Fix references to gtkmm, should be pangomm, and use reference index.html

2008-11-08  Deng Xiyue  <manphiz@gmail.com>

	* docs/reference/doxygen_to_devhelp.xsl: Fix references to gtkmm,
	should be pangomm, and use reference index.html as start point.

	svn path=/trunk/; revision=26

2008-10-23  Jonathon Jongsma  <jjongsma@src.gnome.org>

	Removed gtk stock image stuff that was accidentally left over from splitting up pangomm from gtkmm.

	svn path=/trunk/; revision=25

2008-10-09  Armin Burgmeier  <arminb@src.gnome.org>

	Added missing MSVC 2008 solution file to the repository.

	svn path=/trunk/; revision=24

2008-10-09  Armin Burgmeier  <armin@openismus.com>

	Changed the library DLL name to match the new naming convention.

2008-10-09  Armin Burgmeier  <armin@openismus.com>

	* MSVC_Net2005/pangomm/pangomm.vcproj: Changed the library DLL name to
	match the new naming convention.

	* MSVC_Net2008/: Added Visual Studio 2008 project files.

	* Makefile.am:
	* configure.in: Added the new files to the distribution.

	svn path=/trunk/; revision=23

2008-09-21  Murray Cumming  <murrayc@src.gnome.org>

	Increased version

	svn path=/trunk/; revision=22

2008-09-08  Deng Xiyue  <manphiz@gmail.com>

	Added COPYING.tools with the GPL because the tools/*.cc file is GPL. Bug

2008-09-08  Deng Xiyue  <manphiz@gmail.com>

	* Added COPYING.tools with the GPL because the tools/*.cc file is 
	GPL. Bug #550789.

	svn path=/trunk/; revision=21

2008-09-08  Deng Xiyue  <manphiz@gmail.com>

	Mention pangomm instead of gtkmm. Bug #550789.

2008-09-08  Deng Xiyue  <manphiz@gmail.com>

	* README: Mention pangomm instead of gtkmm. Bug #550789.

	svn path=/trunk/; revision=20

2008-08-27  Armin Burgmeier  <armin@arbur.net>

	Replaced #include "afxres.h" by #include <windows.h> which does the job

2008-08-27  Armin Burgmeier  <armin@arbur.net>

	* MSVC_Net2005/pangomm/pangomm.rc.in: Replaced #include "afxres.h" by
	#include <windows.h> which does the job equally well, and allows
	compilation with the freely available Visual Studio Express compiler.

	svn path=/trunk/; revision=19

2008-08-20  Murray Cumming  <murrayc@murrayc.com>

	Added get_scripts().

2008-08-20  Murray Cumming  <murrayc@murrayc.com>

	* pango/src/language.ccg:
	* pango/src/language.hg: Added get_scripts().

	svn path=/trunk/; revision=18

2008-08-20  Murray Cumming  <murrayc@src.gnome.org>

	Increased version

	svn path=/trunk/; revision=17

2008-08-12  Murray Cumming  <murrayc@murrayc.com>

	Wrap this with CLASS_BOXEDTYPE() instead of _CLASS_GENERIC(), because the

2008-08-12  Murray Cumming  <murrayc@murrayc.com>

	* pango/src/layoutrun.ccg:
	* pango/src/layoutrun.hg: Wrap this with CLASS_BOXEDTYPE() instead of 
	_CLASS_GENERIC(), because the PangoGlyphItem (of which PangoLayoutRun 
	is a typedef) is a boxed type. This reduces the amount of code in .hg, 
	while apparently not breaking API or ABI.
	This should be renamed to GlyphItem when we can break ABI.

	svn path=/trunk/; revision=16

2008-08-12  Murray Cumming  <murrayc@src.gnome.org>

	A few documention comments.

	svn path=/trunk/; revision=15

2008-08-12  Murray Cumming  <murrayc@murrayc.com>

	Typedef this to GlyphItem, because that is what it is (and is documented

2008-08-12  Murray Cumming  <murrayc@murrayc.com>

	* pango/src/layoutrun.hg: Typedef this to GlyphItem, because 
	that is what it is (and is documented as) in Pango.
	Added splt() and letter() space to LayoutRun, wrapping PangoGlyphItem 
	functions. 
	* tools/m4/convert_pango.m4:
	* pango/src/renderer.hg: Added draw_glyph_item().

	* pango/src/cairofontmap.hg: Added set_default().

	svn path=/trunk/; revision=14

2008-08-09  Armin Burgmeier  <armin@arbur.net>

	Added project files to build pangomm with Visual Studio 2005.

2008-08-09  Armin Burgmeier  <armin@arbur.net>

	* MSVC_Net2005/gendef/gendef.cc:
	* MSVC_Net2005/gendef/gendef.vcproj:
	* MSVC_Net2005/gendef/Makefile.am:
	* MSVC_Net2005/pangomm/pangomm.vcproj:
	* MSVC_Net2005/pangomm/pangomm.rc.in:
	* MSVC_Net2005/pangomm/Makefile.am:
	* MSVC_Net2005/pangomm.sln:
	* MSVC_Net2005/blank.cpp:
	* MSVC_Net2005/Makefile.am: Added project files to build pangomm with
	Visual Studio 2005.

	* configure.in:
	* Makefile.am: Adapt build files.

	svn path=/trunk/; revision=13

2008-08-04  Murray Cumming  <murrayc@src.gnome.org>

	Increased version

	svn path=/trunk/; revision=12

2008-08-02  Murray Cumming  <murrayc@murrayc.com>

	Do not try to upload a non-existant index.html Correct the filenames.

2008-08-02  Murray Cumming  <murrayc@murrayc.com>

	* docs/Makefile.am: Do not try to upload a non-existant index.html
	* docs/images/Makefile.am: Correct the filenames.
	* docs/reference/pangomm_header.html_fragment: Change the links as 
	in glibmm.

	svn path=/trunk/; revision=11

2008-08-02  Deng Xiyue  <manphiz@gmail.com>

	Fix all references of ABI version 2.4 to version 1.4, though the tarball

	2008-08-01  Deng Xiyue <manphiz@gmail.com>

	* docs/Makefile_web.am_fragment:
	* docs/reference/Makefile.am:
	* tools/m4/Makefile.am:
	* Makefile.am: Fix all references of ABI version 2.4 to version 1.4, 
	though the tarball version (as reported by pkgconfig --modversion) 
	must stay as 2.x.
	Bug #545537.

	svn path=/trunk/; revision=10

2008-08-01  Murray Cumming  <murrayc@murrayc.com>

	Removed index.html. It was just a copy from gtkmm (from where I will also

2008-08-01  Murray Cumming  <murrayc@murrayc.com>

	* docs/Makefile.am:
	* docs/index.html: Removed index.html. It was just a copy from 
	gtkmm (from where I will also be removing it.) The true copy is in 
	gnomemm-website (uploaded to gtkmm.org).

	svn path=/trunk/; revision=9

2008-07-30  Sebastien Bacher  <seb128@ubuntu.com>

	require a correct pango version (bug #545378)

2008-07-30  Sebastien Bacher  <seb128@ubuntu.com>

	* configure.in: require a correct pango version (bug #545378)

	svn path=/trunk/; revision=8

2008-07-27  Murray Cumming  <murrayc@murrayc.com>

	Corrected the upload location. Corrected a variable so we really generate

2008-07-27  Murray Cumming  <murrayc@murrayc.com>

	* docs/Makefile_web.am_fragment: Corrected the upload location.
	* docs/reference/Doxyfile.in: Corrected a variable so we really 
	generate documentation.

	svn path=/trunk/; revision=7

2008-07-27  Murray Cumming  <murrayc@src.gnome.org>

	Increased version

	svn path=/trunk/; revision=6

2008-07-27  Murray Cumming  <murrayc@murrayc.com>

	Regenerated.

2008-07-27  Murray Cumming  <murrayc@murrayc.com>

	* pango/src/pango_docs.xml:
	* pango/src/pango_enums.defs:
	* pango/src/pango_methods.defs: Regenerated.

	* pango/src/layout.hg: Added get_height(), set_height(), 
	get_baseline().
	* pango/src/layoutiter.ccg:
	* pango/src/layoutiter.hg: Added get_layout().
	* pango/src/renderer.hg: Added get_layout() and get_layout_line().

	svn path=/trunk/; revision=5

2008-07-23  Murray Cumming  <murrayc@src.gnome.org>

	Released

	svn path=/trunk/; revision=4

2008-07-18  Murray Cumming  <murrayc@src.gnome.org>

	Now it builds and distchecks

	svn path=/trunk/; revision=3

2008-07-18  Murray Cumming  <murrayc@src.gnome.org>

	Added pangomm source by copying from gtkmm

	svn path=/trunk/; revision=2

